## NAME

CURLOPT_FOLLOWLOCATION - follow HTTP 3xx redirects

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FOLLOWLOCATION, long enable);

## DESCRIPTION

A parameter set to 1 tells the library to follow any Location: header that the server sends as part of a HTTP header in a 3xx response.

This means that libcurl will re-send the same request on the new location and follow new Location: headers all the way until no more such headers are returned. CURLOPT_MAXREDIRS can be used to limit the number of redirects libcurl will follow.

libcurl can limit to what protocols it will automatically follow. The accepted protocols are set with CURLOPT_REDIR_PROTOCOLS and it excludes the FILE protocol by default.

## DEFAULT

0, disabled

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Along with HTTP

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_REDIR_PROTOCOLS CURLOPT_PROTOCOLS

This HTML page was made with roffit.